// JavaScript Document
$(document).ready(function () {
	var $table1 = $('table#table1');
	var $tableBody1 = $table1.find('tbody');
	var $SelDepth101 = $table1.find('#depth101');
	var $SelDepth102 = $table1.find('#depth102');

	var $table2 = $('table#table2');
	var $tableBody2 = $table2.find('tbody');
	var $SelDepth201 = $table2.find('#depth201');
	var $SelDepth202 = $table2.find('#depth202');

	var $table3 = $('table#table3');
	var $tableBody3 = $table3.find('tbody');
	var $SelDepth301 = $table3.find('#depth301');
	var $SelDepth302 = $table3.find('#depth302');

	var $tableTr1 = $tableBody1.find('tr');
	var $tableTr2 = $tableBody2.find('tr');
	var $tableTr3 = $tableBody3.find('tr');

	var depth1Str = undefined;
	var depth1Seq = undefined;
	var depth2Str = undefined;
	var depth2Seq = undefined;

	var menuObj = {};

	// D1 넘버링을 위한 태그 추가
	$table1.find('colgroup').prepend('<col style="width:40px" />');
	$table1.find('thead').find('tr').eq(0).prepend('<th scope="col" rowspan="2" style="border-right:1px solid #ccc">No</th>');

	// D1 대메뉴 메뉴 데이터 생성
	$tableTr1.each(function (idx) {
		var $depth1 = $(this).find('td').eq(0);
		var $depth2 = $(this).find('td').eq(1);
		if ($depth1.text().trim() != '') {
			depth1Str = $depth1.text();
			depth1Seq = idx;
			if (!menuObj[idx]) { menuObj[idx] = {}; }
			menuObj[idx].menuNm = $depth1.text();
		}
		if ($depth2.text().trim() != '') {
			depth2Str = $depth2.text();
			depth2Seq = idx;
		}
		$(this).attr('data-seq1', depth1Seq).attr('data-depth1', depth1Str).attr('data-depth2', depth2Str).attr('data-seq2', depth2Seq);

		// 넘버링
		$(this).prepend('<td style="font-weight: bold;text-align: center;">'+ (idx + 1)+ '</td>');
	});

	// D1 대메뉴 메뉴 데이터 생성
	$tableTr1.each(function (idx) {
		if (!menuObj[$(this).attr('data-seq1')].lowerMenu) {
			menuObj[$(this).attr('data-seq1')].lowerMenu = {};
		}
		menuObj[$(this).attr('data-seq1')].lowerMenu[$(this).attr('data-seq2')] = $(this).attr('data-depth2');
	});

	// D1 대메뉴 Option 태그 생성
	var arrHtmlStr1 = new Array();
	arrHtmlStr1.push('<option value=""> 선택 </option>');
	for (var name in menuObj) {
		arrHtmlStr1.push('<option value="' + name + '">' + menuObj[name].menuNm + '</option>');
	}
	$SelDepth101.html(arrHtmlStr1.join(''));

	// D1 대메뉴 이벤트 바인딩
	$SelDepth101.on('change', function () {
		//$owner1.val('');

		if($SelDepth101.val()){
			$tableTr1.hide();
			$tableTr1.filter('[data-seq1="' + $SelDepth101.val() + '"]').show();
		} else {
			$tableTr1.show();
		}

		// D1 중메뉴 Option 태그 생성
		if(menuObj[$SelDepth101.val()]){
			var lowerMenu = menuObj[$SelDepth101.val()].lowerMenu;
			arrHtmlStr1.length = 0;
			arrHtmlStr1.push('<option value=""> 선택 </option>');
			for (var name2 in lowerMenu) {
				if (lowerMenu[name2]) {
					arrHtmlStr1.push('<option value="' + name2 + '">' + lowerMenu[name2] + '</option>');
				}
			}
			$SelDepth102.html(arrHtmlStr1.join(''));
		}
	});

	// D1 중메뉴 이벤트 바인딩
	$SelDepth102.on('change', function () {
		//$owner1.val('');
		if($SelDepth102.val()){
			$tableTr1.hide();
			$tableTr1.filter('[data-seq2="' + $SelDepth102.val() + '"]').show();
		} else {
			$SelDepth101.trigger('change');
		}
	});





	// D1 종료일 셀렉트 박스 생성을 위한 데이터 생성
	var $edDate1 = $table1.find('#edDate1');
	var arredDate1List1 = new Array();
	$tableTr1.each(function (idx) {
		var edDate1 = $(this).find('td').eq(6).find('span').text().trim();
		var flag1 = true;
		for(var i=0; i<arredDate1List1.length;i++){
			if(arredDate1List1[i] == edDate1){ flag1 = false; }
		}
		if(flag1){ arredDate1List1.push(edDate1); }
		$(this).attr('data-edDate1', edDate1);
	});

	// D1 종료일 셀렉트 박스 Option태그 생성
	arredDate1List1 = arredDate1List1.sort();
	arrHtmlStr1.length = 0;
	arrHtmlStr1.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arredDate1List1.length;i++) {
		arrHtmlStr1.push('<option value="' + arredDate1List1[i] + '">' + arredDate1List1[i] + '</option>');
	}
	$edDate1.html(arrHtmlStr1.join(''));

	// D1 종료일 셀렉트 박스 이벤트 바인딩
	$edDate1.on('change', function(){
		$SelDepth101.val('');
		$SelDepth102.val('');

		if($edDate1.val() == '0'){
			$tableTr1.show();
		} else {
			$tableTr1.hide();
			$tableTr1.filter('[data-edDate1="' + $edDate1.val() +'"]').show();
		}
	});

	// D1 수정일 셀렉트 박스 생성을 위한 데이터 생성
	var $mdDate1 = $table1.find('#mdDate1');
	var arrmdDate1List1 = new Array();
	$tableTr1.each(function (idx) {
		var mdDate1 = $(this).find('td').eq(7).find('span').text().trim();
		var flag1 = true;
		for(var i=0; i<arrmdDate1List1.length;i++){
			if(arrmdDate1List1[i] == mdDate1){ flag1 = false; }
		}
		if(flag1){ arrmdDate1List1.push(mdDate1); }
		$(this).attr('data-mdDate1', mdDate1);
	});

	// D1 수정일 셀렉트 박스 Option태그 생성
	arrmdDate1List1 = arrmdDate1List1.sort();
	arrHtmlStr1.length = 0;
	arrHtmlStr1.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arrmdDate1List1.length;i++) {
		arrHtmlStr1.push('<option value="' + arrmdDate1List1[i] + '">' + arrmdDate1List1[i] + '</option>');
	}
	$mdDate1.html(arrHtmlStr1.join(''));

	// D1 수정일 셀렉트 박스 이벤트 바인딩
	$mdDate1.on('change', function(){
		$SelDepth101.val('');
		$SelDepth102.val('');

		if($mdDate1.val() == '0'){
			$tableTr1.show();
		} else {
			$tableTr1.hide();
			$tableTr1.filter('[data-mdDate1="' + $mdDate1.val() +'"]').show();
		}
	});

/*	$table2.find('colgroup').prepend('<col style="width:40px" />');
	$table2.find('thead').find('tr').eq(0).prepend('<th scope="col" rowspan="2" style="border-right:1px solid #ccc">No</th>');

	$table3.find('colgroup').prepend('<col style="width:40px" />');
	$table3.find('thead').find('tr').eq(0).prepend('<th scope="col" rowspan="2" style="border-right:1px solid #ccc">No</th>');
*/
	// D2 넘버링을 위한 태그 추가
	$table2.find('colgroup').prepend('<col style="width:40px" />');
	$table2.find('thead').find('tr').eq(0).prepend('<th scope="col" rowspan="2" style="border-right:1px solid #ccc">No</th>');

	// D2 대메뉴 메뉴 데이터 생성
	$tableTr2.each(function (idx) {
		var $depth1 = $(this).find('td').eq(0);
		var $depth2 = $(this).find('td').eq(1);
		if ($depth1.text().trim() != '') {
			depth1Str = $depth1.text();
			depth1Seq = idx;
			if (!menuObj[idx]) { menuObj[idx] = {}; }
			menuObj[idx].menuNm = $depth1.text();
		}
		if ($depth2.text().trim() != '') {
			depth2Str = $depth2.text();
			depth2Seq = idx;
		}
		$(this).attr('data-seq1', depth1Seq).attr('data-depth1', depth1Str).attr('data-depth2', depth2Str).attr('data-seq2', depth2Seq);

		// 넘버링
		$(this).prepend('<td style="font-weight: bold;text-align: center;">'+ (idx + 1)+ '</td>');
	});

	// D2 대메뉴 메뉴 데이터 생성
	$tableTr2.each(function (idx) {
		if (!menuObj[$(this).attr('data-seq1')].lowerMenu) {
			menuObj[$(this).attr('data-seq1')].lowerMenu = {};
		}
		menuObj[$(this).attr('data-seq1')].lowerMenu[$(this).attr('data-seq2')] = $(this).attr('data-depth2');
	});

	// D2 대메뉴 Option 태그 생성
	var arrHtmlStr2 = new Array();
	arrHtmlStr2.push('<option value=""> 선택 </option>');
	for (var name in menuObj) {
		arrHtmlStr2.push('<option value="' + name + '">' + menuObj[name].menuNm + '</option>');
	}
	$SelDepth201.html(arrHtmlStr2.join(''));

	// D2 대메뉴 이벤트 바인딩
	$SelDepth201.on('change', function () {
		$owner2.val('');

		if($SelDepth201.val()){
			$tableTr2.hide();
			$tableTr2.filter('[data-seq1="' + $SelDepth201.val() + '"]').show();
		} else {
			$tableTr2.show();
		}

		// D2 중메뉴 Option 태그 생성
		if(menuObj[$SelDepth201.val()]){
			var lowerMenu = menuObj[$SelDepth201.val()].lowerMenu;
			arrHtmlStr2.length = 0;
			arrHtmlStr2.push('<option value=""> 선택 </option>');
			for (var name2 in lowerMenu) {
				if (lowerMenu[name2]) {
					arrHtmlStr2.push('<option value="' + name2 + '">' + lowerMenu[name2] + '</option>');
				}
			}
			$SelDepth202.html(arrHtmlStr2.join(''));
		}
	});

	// D2 중메뉴 이벤트 바인딩
	$SelDepth202.on('change', function () {
		$owner2.val('');
		if($SelDepth202.val()){
			$tableTr2.hide();
			$tableTr2.filter('[data-seq2="' + $SelDepth202.val() + '"]').show();
		} else {
			$SelDepth201.trigger('change');
		}
	});


	// D2 담당자 셀렉트 박스 생성을 위한 데이터 생성
	var $owner2 = $table2.find('#owner2');
	var arrowner2List2 = new Array();
	$tableTr2.each(function (idx) {
		var owner2 = $(this).find('td').eq(7).text().trim();
		var flag = true;
		for(var i=0; i<arrowner2List2.length;i++){
			if(arrowner2List2[i] == owner2){ flag = false; }
		}
		if(flag){ arrowner2List2.push(owner2); }
		$(this).attr('data-owner2', owner2);
	});

	// D2 담당자 셀렉트 박스 Option태그 생성
	arrHtmlStr2.length = 0;
	arrHtmlStr2.push('<option value=""> 선택 </option>');
	for (var i=0; i<arrowner2List2.length;i++) {
		arrHtmlStr2.push('<option value="' + arrowner2List2[i] + '">' + arrowner2List2[i] + '</option>');
	}
	$owner2.html(arrHtmlStr2.join(''));

	// D2 담당자 셀렉트 박스 이벤트 바인딩
	$owner2.on('change', function(){
		$SelDepth201.val('');
		$SelDepth202.val('');

		if($owner2.val() == '0'){
			$tableTr2.show();
		} else {
			$tableTr2.hide();
			$tableTr2.filter('[data-owner2="' + $owner2.val() +'"]').show();
		}
	});

	// D2 시작일 셀렉트 박스 생성을 위한 데이터 생성
	var $stDate2 = $table2.find('#stDate2');
	var arrstDate2List2 = new Array();
	$tableTr2.each(function (idx) {
		var stDate2 = $(this).find('td').eq(8).find('span').text().trim();
		var flag2 = true;
		for(var i=0; i<arrstDate2List2.length;i++){
			if(arrstDate2List2[i] == stDate2){ flag2 = false; }
		}
		if(flag2){ arrstDate2List2.push(stDate2); }
		$(this).attr('data-stDate2', stDate2);
	});

	// D2 시작일 셀렉트 박스 Option태그 생성
	arrstDate2List2 = arrstDate2List2.sort();
	arrHtmlStr2.length = 0;
	arrHtmlStr2.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arrstDate2List2.length;i++) {
		arrHtmlStr2.push('<option value="' + arrstDate2List2[i] + '">' + arrstDate2List2[i] + '</option>');
	}
	$stDate2.html(arrHtmlStr2.join(''));

	// D2 시작일 셀렉트 박스 이벤트 바인딩
	$stDate2.on('change', function(){
		$SelDepth201.val('');
		$SelDepth202.val('');

		if($stDate2.val() == '0'){
			$tableTr2.show();
		} else {
			$tableTr2.hide();
			$tableTr2.filter('[data-stDate2="' + $stDate2.val() +'"]').show();
		}
	});

	// D2 종료일 셀렉트 박스 생성을 위한 데이터 생성
	var $edDate2 = $table2.find('#edDate2');
	var arredDate2List2 = new Array();
	$tableTr2.each(function (idx) {
		var edDate2 = $(this).find('td').eq(9).find('span').text().trim();
		var flag2 = true;
		for(var i=0; i<arredDate2List2.length;i++){
			if(arredDate2List2[i] == edDate2){ flag2 = false; }
		}
		if(flag2){ arredDate2List2.push(edDate2); }
		$(this).attr('data-edDate2', edDate2);
	});

	// D2 종료일 셀렉트 박스 Option태그 생성
	arredDate2List2 = arredDate2List2.sort();
	arrHtmlStr2.length = 0;
	arrHtmlStr2.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arredDate2List2.length;i++) {
		arrHtmlStr2.push('<option value="' + arredDate2List2[i] + '">' + arredDate2List2[i] + '</option>');
	}
	$edDate2.html(arrHtmlStr2.join(''));

	// D2 종료일 셀렉트 박스 이벤트 바인딩
	$edDate2.on('change', function(){
		$SelDepth201.val('');
		$SelDepth202.val('');

		if($edDate2.val() == '0'){
			$tableTr2.show();
		} else {
			$tableTr2.hide();
			$tableTr2.filter('[data-edDate2="' + $edDate2.val() +'"]').show();
		}
	});

	// D2 수정일 셀렉트 박스 생성을 위한 데이터 생성
	var $mdDate2 = $table2.find('#mdDate2');
	var arrmdDate2List2 = new Array();
	$tableTr2.each(function (idx) {
		var mdDate2 = $(this).find('td').eq(10).find('span').text().trim();
		var flag2 = true;
		for(var i=0; i<arrmdDate2List2.length;i++){
			if(arrmdDate2List2[i] == mdDate2){ flag2 = false; }
		}
		if(flag2){ arrmdDate2List2.push(mdDate2); }
		$(this).attr('data-mdDate2', mdDate2);
	});

	// D2 수정일 셀렉트 박스 Option태그 생성
	arrmdDate2List2 = arrmdDate2List2.sort();
	arrHtmlStr2.length = 0;
	arrHtmlStr2.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arrmdDate2List2.length;i++) {
		arrHtmlStr2.push('<option value="' + arrmdDate2List2[i] + '">' + arrmdDate2List2[i] + '</option>');
	}
	$mdDate2.html(arrHtmlStr2.join(''));

	// D2 수정일 셀렉트 박스 이벤트 바인딩
	$mdDate2.on('change', function(){
		$SelDepth201.val('');
		$SelDepth202.val('');

		if($mdDate2.val() == '0'){
			$tableTr2.show();
		} else {
			$tableTr2.hide();
			$tableTr2.filter('[data-mdDate2="' + $mdDate2.val() +'"]').show();
		}
	});


	// D3 넘버링을 위한 태그 추가
	$table3.find('colgroup').prepend('<col style="width:40px" />');
	$table3.find('thead').find('tr').eq(0).prepend('<th scope="col" rowspan="2" style="border-right:1px solid #ccc">No</th>');

	// D3 대메뉴 메뉴 데이터 생성
	$tableTr3.each(function (idx) {
		var $depth1 = $(this).find('td').eq(0);
		var $depth2 = $(this).find('td').eq(1);
		if ($depth1.text().trim() != '') {
			depth1Str = $depth1.text();
			depth1Seq = idx;
			if (!menuObj[idx]) { menuObj[idx] = {}; }
			menuObj[idx].menuNm = $depth1.text();
		}
		if ($depth2.text().trim() != '') {
			depth2Str = $depth2.text();
			depth2Seq = idx;
		}
		$(this).attr('data-seq1', depth1Seq).attr('data-depth1', depth1Str).attr('data-depth2', depth2Str).attr('data-seq2', depth2Seq);

		// 넘버링
		$(this).prepend('<td style="font-weight: bold;text-align: center;">'+ (idx + 1)+ '</td>');
	});

	// D3 대메뉴 메뉴 데이터 생성
	$tableTr3.each(function (idx) {
		if (!menuObj[$(this).attr('data-seq1')].lowerMenu) {
			menuObj[$(this).attr('data-seq1')].lowerMenu = {};
		}
		menuObj[$(this).attr('data-seq1')].lowerMenu[$(this).attr('data-seq2')] = $(this).attr('data-depth2');
	});

	// D3 대메뉴 Option 태그 생성
	var arrHtmlStr3 = new Array();
	arrHtmlStr3.push('<option value=""> 선택 </option>');
	for (var name in menuObj) {
		arrHtmlStr3.push('<option value="' + name + '">' + menuObj[name].menuNm + '</option>');
	}
	$SelDepth301.html(arrHtmlStr3.join(''));

	// D3 대메뉴 이벤트 바인딩
	$SelDepth301.on('change', function () {
		$owner3.val('');

		if($SelDepth301.val()){
			$tableTr3.hide();
			$tableTr3.filter('[data-seq1="' + $SelDepth301.val() + '"]').show();
		} else {
			$tableTr3.show();
		}

		// D3 중메뉴 Option 태그 생성
		if(menuObj[$SelDepth301.val()]){
			var lowerMenu = menuObj[$SelDepth301.val()].lowerMenu;
			arrHtmlStr3.length = 0;
			arrHtmlStr3.push('<option value=""> 선택 </option>');
			for (var name3 in lowerMenu) {
				if (lowerMenu[name3]) {
					arrHtmlStr3.push('<option value="' + name3 + '">' + lowerMenu[name3] + '</option>');
				}
			}
			$SelDepth302.html(arrHtmlStr3.join(''));
		}
	});

	// D3 중메뉴 이벤트 바인딩
	$SelDepth302.on('change', function () {
		$owner3.val('');
		if($SelDepth302.val()){
			$tableTr3.hide();
			$tableTr3.filter('[data-seq2="' + $SelDepth302.val() + '"]').show();
		} else {
			$SelDepth301.trigger('change');
		}
	});

	// D3 담당자 셀렉트 박스 생성을 위한 데이터 생성
	var $owner3 = $table3.find('#owner3');
	var arrowner3List3 = new Array();
	$tableTr3.each(function (idx) {
		var owner3 = $(this).find('td').eq(7).text().trim();
		var flag3 = true;
		for(var i=0; i<arrowner3List3.length;i++){
			if(arrowner3List3[i] == owner3){ flag3 = false; }
		}
		if(flag3){ arrowner3List3.push(owner3); }
		$(this).attr('data-owner3', owner3);
	});

	// D3 담당자 셀렉트 박스 Option태그 생성
	arrHtmlStr3.length = 0;
	arrHtmlStr3.push('<option value=""> 선택 </option>');
	for (var i=0; i<arrowner3List3.length;i++) {
		arrHtmlStr3.push('<option value="' + arrowner3List3[i] + '">' + arrowner3List3[i] + '</option>');
	}
	$owner3.html(arrHtmlStr3.join(''));

	// D3 담당자 셀렉트 박스 이벤트 바인딩
	$owner3.on('change', function(){
		$SelDepth301.val('');
		$SelDepth302.val('');

		if($owner3.val() == '0'){
			$tableTr3.show();
		} else {
			$tableTr3.hide();
			$tableTr3.filter('[data-owner3="' + $owner3.val() +'"]').show();
		}
	});

	// D3 시작일 셀렉트 박스 생성을 위한 데이터 생성
	var $stDate3 = $table3.find('#stDate3');
	var arrstDate3List3 = new Array();
	$tableTr3.each(function (idx) {
		var stDate3 = $(this).find('td').eq(8).find('span').text().trim();
		var flag3 = true;
		for(var i=0; i<arrstDate3List3.length;i++){
			if(arrstDate3List3[i] == stDate3){ flag3 = false; }
		}
		if(flag3){ arrstDate3List3.push(stDate3); }
		$(this).attr('data-stDate3', stDate3);
	});

	// D3 시작일 셀렉트 박스 Option태그 생성
	arrstDate3List3 = arrstDate3List3.sort();
	arrHtmlStr3.length = 0;
	arrHtmlStr3.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arrstDate3List3.length;i++) {
		arrHtmlStr3.push('<option value="' + arrstDate3List3[i] + '">' + arrstDate3List3[i] + '</option>');
	}
	$stDate3.html(arrHtmlStr3.join(''));

	// D3 시작일 셀렉트 박스 이벤트 바인딩
	$stDate3.on('change', function(){
		$SelDepth301.val('');
		$SelDepth302.val('');

		if($stDate3.val() == '0'){
			$tableTr3.show();
		} else {
			$tableTr3.hide();
			$tableTr3.filter('[data-stDate3="' + $stDate3.val() +'"]').show();
		}
	});

	// D3 종료일 셀렉트 박스 생성을 위한 데이터 생성
	var $edDate3 = $table3.find('#edDate3');
	var arredDate3List3 = new Array();
	$tableTr3.each(function (idx) {
		var edDate3 = $(this).find('td').eq(9).find('span').text().trim();
		var flag3 = true;
		for(var i=0; i<arredDate3List3.length;i++){
			if(arredDate3List3[i] == edDate3){ flag3 = false; }
		}
		if(flag3){ arredDate3List3.push(edDate3); }
		$(this).attr('data-edDate3', edDate3);
	});

	// D3 종료일 셀렉트 박스 Option태그 생성
	arredDate3List3 = arredDate3List3.sort();
	arrHtmlStr3.length = 0;
	arrHtmlStr3.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arredDate3List3.length;i++) {
		arrHtmlStr3.push('<option value="' + arredDate3List3[i] + '">' + arredDate3List3[i] + '</option>');
	}
	$edDate3.html(arrHtmlStr3.join(''));

	// D3 종료일 셀렉트 박스 이벤트 바인딩
	$edDate3.on('change', function(){
		$SelDepth301.val('');
		$SelDepth302.val('');

		if($edDate3.val() == '0'){
			$tableTr3.show();
		} else {
			$tableTr3.hide();
			$tableTr3.filter('[data-edDate3="' + $edDate3.val() +'"]').show();
		}
	});

	// D3 수정일 셀렉트 박스 생성을 위한 데이터 생성
	var $mdDate3 = $table3.find('#mdDate3');
	var arrmdDate3List3 = new Array();
	$tableTr3.each(function (idx) {
		var mdDate3 = $(this).find('td').eq(10).find('span').text().trim();
		var flag3 = true;
		for(var i=0; i<arrmdDate3List3.length;i++){
			if(arrmdDate3List3[i] == mdDate3){ flag3 = false; }
		}
		if(flag3){ arrmdDate3List3.push(mdDate3); }
		$(this).attr('data-mdDate3', mdDate3);
	});

	// D3 수정일 셀렉트 박스 Option태그 생성
	arrmdDate3List3 = arrmdDate3List3.sort();
	arrHtmlStr3.length = 0;
	arrHtmlStr3.push('<option value="0"> 선택 </option>');
	for (var i=0; i<arrmdDate3List3.length;i++) {
		arrHtmlStr3.push('<option value="' + arrmdDate3List3[i] + '">' + arrmdDate3List3[i] + '</option>');
	}
	$mdDate3.html(arrHtmlStr3.join(''));

	// D3 수정일 셀렉트 박스 이벤트 바인딩
	$mdDate3.on('change', function(){
		$SelDepth301.val('');
		$SelDepth302.val('');

		if($mdDate3.val() == '0'){
			$tableTr3.show();
		} else {
			$tableTr3.hide();
			$tableTr3.filter('[data-mdDate3="' + $mdDate3.val() +'"]').show();
		}
	});


});


$(function($){
	//--total
	// var total=$('#table1 .tdNum').length;
	// var complete=$('.hisList').length;
	// $('.siteInfo dd span').eq(0).text(total);
	// $('.siteInfo dd span').eq(1).text(complete);
	// $('#compRate').text(Math.round(((complete/total)*100)) + '%');
	//--total end

/*
	$('.hisList li:first-child').addClass('on');

	$('.tm').click(function(){
		$(this).addClass('selected');
		$('.menu>dd').show().siblings('dt').children('a').removeClass('selected');
		return false;
	});
*/
	$('.menu>dt a').click(function(){
		$('.tm').removeClass('selected');
		$(this).addClass('selected').parent('dt').siblings('dt').children('a').removeClass('selected');
		$(this).parent('dt').next('dd').show().siblings('dd').hide();
		return false;
	});
	$('.btnHis').click(function(){
		$(this).toggleClass('off');
		$(this).next('.hisList').children('li:not(.on)').toggle();
		return false;
	});
	$('.tip').hover(function(){
		$(this).children('span').toggle();
	});
	$('.notice li').append('<span class="bul"></span>');


	// to top
	var scrollDiv = document.createElement('div');
	$(scrollDiv).attr('id', 'toTop').html('<a href="#nohref">↑ 처음으로 이동</a>').appendTo('body');
	$(window).scroll(function(){
		if ($(this).scrollTop() != 0) {
			$('#toTop').fadeIn();
		} else {
			$('#toTop').fadeOut();
		}
	});
	$('#toTop').click(function(){
		$('body,html').animate({scrollTop: 0}, 'fast');
		return false;
	});
	$('.overlay').click(function(){
		$('.dNotice').hide(200); $('.overlay').fadeOut();
	});
});